type t =
  { in_ifaddr_ifa_next : Virt_mem_mmap.addr; in_ifaddr_ifa_local : int64;
    in_ifaddr_ifa_address : int64; in_ifaddr_ifa_mask : int64;
    in_ifaddr_ifa_broadcast : int64
  };;
val struct_name : string;;
type kernel_version = string;;
val in_ifaddr_known : kernel_version -> bool;;
val in_ifaddr_size : kernel_version -> int;;
val in_ifaddr_of_bits : kernel_version -> Bitstring.bitstring -> t;;
val get_in_ifaddr :
  kernel_version ->
    ('a, 'b, [ | `HasMapping ]) Virt_mem_mmap.t -> Virt_mem_mmap.addr -> t;;
val field_signature_of_in_ifaddr_ifa_next :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_in_ifaddr_ifa_local :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_in_ifaddr_ifa_address :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_in_ifaddr_ifa_mask :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_in_ifaddr_ifa_broadcast :
  kernel_version -> Virt_mem_types.fieldsig;;
