type t = { inet6_dev_addr_list : Virt_mem_mmap.addr };;
val struct_name : string;;
type kernel_version = string;;
val inet6_dev_known : kernel_version -> bool;;
val inet6_dev_size : kernel_version -> int;;
val inet6_dev_of_bits : kernel_version -> Bitstring.bitstring -> t;;
val get_inet6_dev :
  kernel_version ->
    ('a, 'b, [ | `HasMapping ]) Virt_mem_mmap.t -> Virt_mem_mmap.addr -> t;;
val field_signature_of_inet6_dev_addr_list :
  kernel_version -> Virt_mem_types.fieldsig;;
