type t =
  { inet6_ifaddr_prefix_len : int64;
    inet6_ifaddr_lst_next : Virt_mem_mmap.addr
  };;
val struct_name : string;;
type kernel_version = string;;
val inet6_ifaddr_known : kernel_version -> bool;;
val inet6_ifaddr_size : kernel_version -> int;;
val inet6_ifaddr_of_bits : kernel_version -> Bitstring.bitstring -> t;;
val get_inet6_ifaddr :
  kernel_version ->
    ('a, 'b, [ | `HasMapping ]) Virt_mem_mmap.t -> Virt_mem_mmap.addr -> t;;
val field_signature_of_inet6_ifaddr_prefix_len :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_inet6_ifaddr_lst_next :
  kernel_version -> Virt_mem_types.fieldsig;;
