type t =
  { net_device_dev_list'prev : Virt_mem_mmap.addr option;
    net_device_dev_list'next : Virt_mem_mmap.addr option;
    net_device_next : Virt_mem_mmap.addr option; net_device_name : string;
    net_device_flags : int64; net_device_operstate : int64;
    net_device_mtu : int64; net_device_perm_addr : string;
    net_device_addr_len : int64; net_device_ip_ptr : Virt_mem_mmap.addr;
    net_device_ip6_ptr : Virt_mem_mmap.addr
  };;
val struct_name : string;;
type kernel_version = string;;
val net_device_known : kernel_version -> bool;;
val net_device_size : kernel_version -> int;;
val net_device_of_bits : kernel_version -> Bitstring.bitstring -> t;;
val get_net_device :
  kernel_version ->
    ('a, 'b, [ | `HasMapping ]) Virt_mem_mmap.t -> Virt_mem_mmap.addr -> t;;
val field_signature_of_net_device_dev_list'prev :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_dev_list'next :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_next :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_name :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_flags :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_operstate :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_mtu :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_perm_addr :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_addr_len :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_ip_ptr :
  kernel_version -> Virt_mem_types.fieldsig;;
val field_signature_of_net_device_ip6_ptr :
  kernel_version -> Virt_mem_types.fieldsig;;
